require( "scripts/style.lua" );


InfoFont = {
  standardFont,
  30,
  BorderColor
};

MakeDialog
{
	Bitmap
	{
		name="backgroundimage",
		image="backgrounds/popup",
		x=kCenter,
		y=kCenter,
		
		Text
		{
			font = InfoFont,
			name = "difficulty",
			x=31,y=120,w=404,h=60,
			flags = kHAlignCenter + kVAlignTop,
			label = "choosedifficulty"
		};
			
			
		Button
		{
			x=kCenter,
			y=150,
			font = SmallButtonFont,
			graphics = SmallButtonGraphics,
			name="easy",
			label="easy",
			type = kPush,
			command=
				function()
					SetCurrentLevel(0);
					PopModal();
					PopModal();
					SwapToModalSetName("scripts/game.lua");
				end
		},	
		
		Button
		{
			x=kCenter,
			y=191,
			font = SmallButtonFont,
			graphics = SmallButtonGraphics,
			name="medium",
			label="medium",
			type = kPush,
			command=
				function()
					SetCurrentLevel(1);
					PopModal();
					PopModal();
					SwapToModalSetName("scripts/game.lua");
				end
		},
		
		Button
		{
			x=kCenter,
			y=230,
			font = SmallButtonFont,
			graphics = SmallButtonGraphics,
			name="hard",
			label="hard",
			type = kPush,
			command=
				function()
					SetCurrentLevel(2);
					PopModal();
					PopModal();
					SwapToModalSetName("scripts/game.lua");
				end
		},
				
				
		Button
		{
			x=kCenter,
			y=-80,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="back",
			label="back",
			type = kPush,
			command=
				function()
					PopModal();
				end
		},
			
	},
	
	
}